Bug 592596 - Get VT instead of login screen when logging out after using fast user switching
Summary: Get VT instead of login screen when logging out after using fast user switching
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-15 16:30 UTC by Richard Fearn
Modified: 2015-02-12 20:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 01:09:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 618047 None None None Never

Description Richard Fearn 2010-05-15 16:30:59 UTC
Description of problem:

I get a blank VT instead of the login screen when using fast user switching and logging out the last user.

Version-Release number of selected component (if applicable):

gdm-2.30.2-1.fc13.x86_64
gdm-user-switch-applet-2.30.2-1.fc13.x86_64

How reproducible:

Every time.

Steps to Reproduce:

1. Ensure system has at least 2 users.
2. Log in as the 1st user.
3. Switch user, and log in as the 2nd user.
4. Switch user, and go back into the 1st user's session.
5. Log out the 1st user's session.
6. Go back into the 2nd user's session.
7. Log out the 2nd user's session.
  
Actual results:

Get stuck on a VT (maybe 7?), which is blank except for a flashing cursor in the top left. Can get back to a login screen with Ctrl-Alt-F8 or Ctrl-Alt-F9 (there are two instances of it).

Expected results:

Should automatically go back to login screen.

Additional info:

I can reproduce this on two systems, one with a Radeon video card, the other with an NVIDIA card.

Comment 1 Richard Fearn 2010-05-15 17:13:07 UTC
> Get stuck on a VT (maybe 7?), which is blank except for a flashing cursor in
> the top left. Can get back to a login screen with Ctrl-Alt-F8 or Ctrl-Alt-F9
> (there are two instances of it).

I've found that it's VT1 that is displayed (on both systems).

Comment 2 Tajidin Abdullah 2010-07-08 16:40:55 UTC
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Ray Strode [halfline] 2011-05-25 01:09:00 UTC
we're handling this one upstream here https://bugzilla.gnome.org/show_bug.cgi?id=618047

Comment 4 Dennis Wagelaar 2015-02-12 20:05:00 UTC
I get stuck on VT 1, X11 mouse cursor is still visible, on top of the VT framebuffer. Fedora 20, gnome-session-3.10.1-1.fc20.x86_64, radeon (open source) driver.


Note You need to log in before you can comment on or make changes to this bug.